List External Mappings - m3ter Documentation
List External Mappings
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/externalmappings \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/externalmappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/externalmappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200
- 4XX
- 5XX
Example JSON Response
{
"data": [\
{\
"id": "<string>",\
"m3terEntity": "Account",\
"m3terId": "00000000-0000-0000-0000-000000000000",\
"externalSystem": "Stripe",\
"externalTable": "Customer",\
"externalId": "cus_00000000000000",\
"version": 123,\
"dtCreated": "2023-11-07T05:31:56Z",\
"dtLastModified": "2023-11-07T05:31:56Z",\
"createdBy": "<string>",\
"lastModifiedBy": "<string>",\
"integrationConfigId": "00000000-0000-0000-0000-000000000000"\
}\
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
- Type:
string - In:
header - Required: Yes
m3ter supports machine-to-machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId: (string) Required - The unique identifier (UUID) of your Organization.
Query Parameters
- pageSize: (integer
) Specifies the maximum number of External Mappings to retrieve per page. Required range: 1 <= x <= 200 - nextToken: (string) The
nextTokenfor multi-page retrievals. - externalSystemId: (string) The name of the external system to use as a filter.
- m3terIds: (object[]) IDs for m3ter entities.
- integrationConfigId: (string) ID of the integration config.
Response Format
200: application/json
- Returns the list of External Mapping entities.